<?php

function readconfig($path)
{
  $a=file($path);
  if (sizeof($a)==0)
    return null;

  $res=array();

  for ($i=0;$i<sizeof($a);$i++)
    {
      if ($a[$i][0]=='#')
	continue;
      if (preg_match("/([^=]*)=(.*)/",$a[$i],$matches))
	$res[$matches[1]]=$matches[2];
    }

  return $res;
}

function toboolean($in,$default=false)
{
  if (is_bool($in))
    return $in;

  $in=trim($in);
  if (!strcasecmp($in,"true") || intval($in)!=0)
    return true;
  if (!strcasecmp($in,"false") || $in=="0")
    return false;

  return $default;
}

function getparam_bool($param, $default=0)
{
  if (array_key_exists($param,$_GET))
    return toboolean($_GET[$param],$default);

  return toboolean($default);
}

function getparam_string($param, $default="")
{
  if (array_key_exists($param,$_GET))
    return $_GET[$param];

  return $default;
}

function fail($reason)
{
  print "FAIL\n";
  print $reason;
  exit();
}

global $SPRINTPREFIX;

// Don't forget the trailing slash, i.e., /var/tmp/sprintpcs/
$SPRINTPREFIX="/var/tmp/sprintpcs/";

?>